Subject: bug#11490: vc-next-action overwrites changes in non-checked-out RCS file

From: Glenn Morris <[email-masked]>
Date: Thu, 17 May 2012 20:45:46 -0400

Jonathan Kamens wrote:

> Try it without making the file writable.

Well, ok, but your initial report began:

   Make an RCS file writable with chmod +w without locking it.

If I instead use M-x toggle-read-only, make changes, and use C-x v v,
then I see the problem.

> The problem goes away when vc-mistrust-permissions is set to true.

OK. It looks like that variable only affects RCS and SCCS?
In which case I am guessing that few people will care if the default
changes, so maybe we should just do that...